#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define subrel 1
%define rel 1

%define kanagramengine_major 4
%define kanagramengine_library %mklibname kanagramengine %{kanagramengine_major}

Name: kanagram
Summary:Word learning program
Version: 4.10.5
Release: %mkrel %{rel}
Group: Education
License: GPLv2 and GFDL
URL: http://edu.kde.org/kanagram
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
#Branch patchs 100->200

#Trunk Patchs 200->300

#Mageia Patchs 500->600

BuildRequires: kdelibs4-devel >= 2:%version
BuildRequires: libkdeedu-devel >= %version

Requires: libkdeedu-common = %version

Suggests: kanagram-handbook

%description
Kanagram is a replacement for KMessedWords. Kanagram mixes up the letters
of a word (creating an anagram), and you have to guess what the mixed up
word is. Kanagram features several built-in word lists, hints, and a cheat
feature which reveals the original word. Kanagram also has a vocabulary
editor, so you can make your own vocabularies, and distribute them through
Kanagram's KNewStuff download service.

%files
%_kde_bindir/kanagram
%_kde_appsdir/kanagram
%_kde_iconsdir/*/*/apps/kanagram.*
%_kde_iconsdir/*/*/apps/kanagram-*
%_kde_datadir/applications/kde4/kanagram.desktop
%_kde_datadir/config.kcfg/kanagram.kcfg
%_kde_datadir/config/kanagram.knsrc

#-------------------------------------------------------------------------------

%package -n %{kanagramengine_library}
Summary: Runtime library for %{name}
Group: System/Libraries
Conflicts: %{name} < 4.10.2
%description -n %{kanagramengine_library}
This package provides the runtime library for %{name}.

%files -n %{kanagramengine_library}
%_kde_libdir/libkanagramengine.so.%{kanagramengine_major}*

#-------------------------------------------------------------------------------

%package devel
Summary: Kanagram development package
Requires: %{name}
Requires: %{kanagramengine_library} = %{version}-%{release}
Conflicts: %{name} < 4.10.2
%description devel
This package contains the development package for kanagram.

%files devel
%_kde_includedir/kanagram
%_kde_libdir/libkanagramengine.so

#------------------------------------------------------------------------------

%package handbook
Summary: Kanagram handbook
Conflicts: kanagram < 4.7.1
BuildArch: noarch
Group: Documentation
%description handbook
This package provides kanagram handbook.

%files handbook
%doc ChangeLog TODO COPYING COPYING.DOC
%doc %_kde_docdir/HTML/en/kanagram

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4  -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog
* Sat Jul 06 2013 mikala <mikala> 4.10.5-1.1.mga3
+ Revision: 450607
- Update tarball to KDE SC 4.10.5
- Update tarball to KDE SC 4.10.4

* Tue Apr 02 2013 mikala <mikala> 4.10.2-1.mga3
+ Revision: 407202
- Update tarball to KDE SC 4.10.2
- Libification of the engine library

* Sat Mar 09 2013 lmenut <lmenut> 4.10.1-1.mga3
+ Revision: 401846
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 4.10.0-1.mga3
+ Revision: 394375
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 4.9.97-2.mga3
+ Revision: 355797
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 4.9.97-1.mga3
+ Revision: 339438
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 4.9.95-1.mga3
+ Revision: 334530
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 4.9.90-1.mga3
+ Revision: 326734
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 4.9.80-1.mga3
+ Revision: 320291
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 4.9.3-1.mga3
+ Revision: 316175
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 4.9.2-1.mga3
+ Revision: 301946
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 4.9.1-1.mga3
+ Revision: 289741
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 4.9.0-1.mga3
+ Revision: 277093
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 4.8.97-1.mga3
+ Revision: 269657
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 4.8.95-1.mga3
+ Revision: 265934
- New version - 4.8.95

* Fri Jun 08 2012 fwang <fwang> 4.8.4-1.mga3
+ Revision: 257231
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 4.8.2-1.mga2
+ Revision: 228457
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221467
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 198234
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 4.7.97-1.mga2
+ Revision: 190960
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186050
- Update tarball to KDE SC 4.7.90

* Thu Dec 15 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 181881
- Update tarball to KDE SC 4.7.90

* Sun Dec 04 2011 mikala <mikala> 4.7.4-1.mga2
+ Revision: 176353
- Update tarball to KDE SC 4.7.4

* Tue Nov 01 2011 mikala <mikala> 4.7.3-1.mga2
+ Revision: 161095
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 4.7.2-1.mga2
+ Revision: 151931
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 4.7.1-1.mga2
+ Revision: 140624
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- Fix License

* Mon Jul 11 2011 mikala <mikala> 4.6.95-0.mga2
+ Revision: 122392
- Update tarball to KDE 4.6.95 ( KDE SC 4.7 RC2)

* Tue Jun 28 2011 mikala <mikala> 4.6.90-1.mga2
+ Revision: 115406
- imported package kanagram

